Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 700038 - KDE Frameworks 5.64.0, KDE Applications 19.08.3 stabilisation
Summary: KDE Frameworks 5.64.0, KDE Applications 19.08.3 stabilisation
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Deadline: 2019-12-05
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 700824
Blocks: 701764
  Show dependency tree
 
Reported: 2019-11-13 19:19 UTC by Andreas Sturmlechner
Modified: 2019-12-22 22:28 UTC (History)
5 users (show)

See Also:
Package list:
kde-frameworks/attica-5.64.0 amd64 arm64 x86 kde-frameworks/baloo-5.64.0 amd64 arm64 x86 kde-frameworks/bluez-qt-5.64.0 amd64 arm64 x86 kde-frameworks/breeze-icons-5.64.0 amd64 arm64 x86 kde-frameworks/breeze-icons-rcc-5.64.0 amd64 arm64 x86 kde-frameworks/extra-cmake-modules-5.64.0 amd64 arm64 ppc ppc64 x86 kde-frameworks/frameworkintegration-5.64.0 amd64 arm64 x86 kde-frameworks/kactivities-5.64.0 amd64 arm64 x86 kde-frameworks/kactivities-stats-5.64.0 amd64 arm64 x86 kde-frameworks/kapidox-5.64.0 amd64 arm64 x86 kde-frameworks/karchive-5.64.0 amd64 arm64 x86 kde-frameworks/kauth-5.64.0 amd64 arm64 x86 kde-frameworks/kbookmarks-5.64.0 amd64 arm64 x86 kde-frameworks/kcalendarcore-5.64.0 amd64 arm64 x86 kde-frameworks/kcmutils-5.64.0 amd64 arm64 x86 kde-frameworks/kcodecs-5.64.0 amd64 arm64 x86 kde-frameworks/kcompletion-5.64.0 amd64 arm64 x86 kde-frameworks/kconfig-5.64.0 amd64 arm64 x86 kde-frameworks/kconfigwidgets-5.64.0 amd64 arm64 x86 kde-frameworks/kcontacts-5.64.0 amd64 arm64 x86 kde-frameworks/kcoreaddons-5.64.0 amd64 arm64 x86 kde-frameworks/kcrash-5.64.0 amd64 arm64 x86 kde-frameworks/kdbusaddons-5.64.0 amd64 arm64 x86 kde-frameworks/kdeclarative-5.64.0 amd64 arm64 x86 kde-frameworks/kded-5.64.0 amd64 arm64 x86 kde-frameworks/kdelibs4support-5.64.0 amd64 arm64 x86 kde-frameworks/kdesignerplugin-5.64.0 amd64 arm64 x86 kde-frameworks/kdesu-5.64.0 amd64 arm64 x86 kde-frameworks/kdewebkit-5.64.0 amd64 arm64 x86 kde-frameworks/kdnssd-5.64.0 amd64 arm64 x86 kde-frameworks/kdoctools-5.64.0 amd64 arm64 x86 kde-frameworks/kemoticons-5.64.0 amd64 arm64 x86 kde-frameworks/kfilemetadata-5.64.0 amd64 arm64 x86 kde-frameworks/kglobalaccel-5.64.0 amd64 arm64 x86 kde-frameworks/kguiaddons-5.64.0 amd64 arm64 x86 kde-frameworks/kholidays-5.64.0 amd64 arm64 x86 kde-frameworks/khtml-5.64.0 amd64 arm64 x86 kde-frameworks/ki18n-5.64.0 amd64 arm64 x86 kde-frameworks/kiconthemes-5.64.0 amd64 arm64 x86 kde-frameworks/kidletime-5.64.0 amd64 arm64 x86 kde-frameworks/kimageformats-5.64.0 amd64 arm64 x86 kde-frameworks/kinit-5.64.0 amd64 arm64 x86 kde-frameworks/kio-5.64.0 amd64 arm64 x86 kde-frameworks/kirigami-5.64.1 amd64 arm64 x86 kde-frameworks/kitemmodels-5.64.0 amd64 arm64 x86 kde-frameworks/kitemviews-5.64.0 amd64 arm64 x86 kde-frameworks/kjobwidgets-5.64.0 amd64 arm64 x86 kde-frameworks/kjs-5.64.0 amd64 arm64 x86 kde-frameworks/kjsembed-5.64.0 amd64 arm64 x86 kde-frameworks/kmediaplayer-5.64.0 amd64 arm64 x86 kde-frameworks/knewstuff-5.64.0 amd64 arm64 x86 kde-frameworks/knotifications-5.64.0 amd64 arm64 x86 kde-frameworks/knotifyconfig-5.64.0 amd64 arm64 x86 kde-frameworks/kpackage-5.64.0 amd64 arm64 x86 kde-frameworks/kparts-5.64.0 amd64 arm64 x86 kde-frameworks/kpeople-5.64.0 amd64 arm64 x86 kde-frameworks/kplotting-5.64.0 amd64 arm64 x86 kde-frameworks/kpty-5.64.0 amd64 arm64 x86 kde-frameworks/kross-5.64.0 amd64 arm64 x86 kde-frameworks/krunner-5.64.0 amd64 arm64 x86 kde-frameworks/kservice-5.64.0 amd64 arm64 x86 kde-frameworks/ktexteditor-5.64.0 amd64 arm64 x86 kde-frameworks/ktextwidgets-5.64.0 amd64 arm64 x86 kde-frameworks/kunitconversion-5.64.0 amd64 arm64 x86 kde-frameworks/kwallet-5.64.0 amd64 arm64 x86 kde-frameworks/kwayland-5.64.0 amd64 arm64 x86 kde-frameworks/kwidgetsaddons-5.64.0 amd64 arm64 x86 kde-frameworks/kwindowsystem-5.64.0 amd64 arm64 x86 kde-frameworks/kxmlgui-5.64.0 amd64 arm64 x86 kde-frameworks/kxmlrpcclient-5.64.0 amd64 arm64 x86 kde-frameworks/modemmanager-qt-5.64.0 amd64 arm64 x86 kde-frameworks/networkmanager-qt-5.64.0 amd64 arm64 x86 kde-frameworks/oxygen-icons-5.64.0 amd64 arm64 x86 kde-frameworks/plasma-5.64.0 amd64 arm64 x86 kde-frameworks/prison-5.64.0 amd64 arm64 x86 kde-frameworks/purpose-5.64.0 amd64 arm64 x86 kde-frameworks/qqc2-desktop-style-5.64.0 amd64 arm64 x86 kde-frameworks/solid-5.64.0-r1 amd64 arm64 x86 kde-frameworks/sonnet-5.64.0 amd64 arm64 x86 kde-frameworks/syndication-5.64.0 amd64 arm64 x86 kde-frameworks/syntax-highlighting-5.64.0 amd64 arm64 x86 kde-frameworks/threadweaver-5.64.0 amd64 arm64 x86 kde-apps/akonadi-19.08.3 amd64 arm64 x86 kde-apps/akonadi-calendar-19.08.3 amd64 arm64 x86 kde-apps/akonadiconsole-19.08.3 amd64 arm64 x86 kde-apps/akonadi-contacts-19.08.3 amd64 arm64 x86 kde-apps/akonadi-import-wizard-19.08.3 amd64 arm64 x86 kde-apps/akonadi-mime-19.08.3 amd64 arm64 x86 kde-apps/akonadi-notes-19.08.3 amd64 arm64 x86 kde-apps/akonadi-search-19.08.3 amd64 arm64 x86 kde-apps/akregator-19.08.3 amd64 arm64 x86 kde-apps/analitza-19.08.3 amd64 arm64 x86 kde-apps/ark-19.08.3 amd64 arm64 x86 kde-apps/artikulate-19.08.3 amd64 arm64 x86 kde-apps/audiocd-kio-19.08.3 amd64 arm64 x86 kde-apps/baloo-widgets-19.08.3 amd64 arm64 x86 kde-apps/blinken-19.08.3 amd64 arm64 x86 kde-apps/bomber-19.08.3 amd64 arm64 x86 kde-apps/bovo-19.08.3 amd64 arm64 x86 kde-apps/calendarjanitor-19.08.3 amd64 arm64 x86 kde-apps/calendarsupport-19.08.3 amd64 arm64 x86 kde-apps/cantor-19.08.3 amd64 arm64 x86 kde-apps/cervisia-19.08.3 amd64 arm64 x86 kde-apps/dolphin-19.08.3 amd64 arm64 x86 kde-apps/dolphin-plugins-bazaar-19.08.3 amd64 arm64 x86 kde-apps/dolphin-plugins-dropbox-19.08.3 amd64 x86 kde-apps/dolphin-plugins-git-19.08.3 amd64 arm64 x86 kde-apps/dolphin-plugins-mercurial-19.08.3 amd64 arm64 x86 kde-apps/dolphin-plugins-subversion-19.08.3 amd64 arm64 x86 kde-apps/dragon-19.08.3 amd64 arm64 x86 kde-apps/eventviews-19.08.3 amd64 arm64 x86 kde-apps/ffmpegthumbs-19.08.3 amd64 arm64 x86 kde-apps/filelight-19.08.3 amd64 arm64 x86 kde-apps/granatier-19.08.3 amd64 arm64 x86 kde-apps/grantlee-editor-19.08.3 amd64 arm64 x86 kde-apps/grantleetheme-19.08.3 amd64 arm64 x86 kde-apps/gwenview-19.08.3 amd64 arm64 x86 kde-apps/incidenceeditor-19.08.3 amd64 arm64 x86 kde-apps/juk-19.08.3 amd64 arm64 x86 kde-apps/k3b-19.08.3 amd64 arm64 x86 kde-apps/kaccounts-integration-19.08.3 amd64 arm64 x86 kde-apps/kaccounts-providers-19.08.3 amd64 arm64 x86 kde-apps/kaddressbook-19.08.3 amd64 arm64 x86 kde-apps/kajongg-19.08.3 amd64 arm64 x86 kde-apps/kalarm-19.08.3 amd64 arm64 x86 kde-apps/kalarmcal-19.08.3 amd64 arm64 x86 kde-apps/kalgebra-19.08.3 amd64 arm64 x86 kde-apps/kalzium-19.08.3 amd64 arm64 x86 kde-apps/kamera-19.08.3 amd64 arm64 x86 kde-apps/kamoso-19.08.3 amd64 arm64 x86 kde-apps/kanagram-19.08.3 amd64 arm64 x86 kde-apps/kapman-19.08.3 amd64 arm64 x86 kde-apps/kapptemplate-19.08.3 amd64 arm64 x86 kde-apps/kate-19.08.3 amd64 arm64 x86 kde-apps/katomic-19.08.3 amd64 arm64 x86 kde-apps/kbackup-19.08.3 amd64 arm64 x86 kde-apps/kblackbox-19.08.3 amd64 arm64 x86 kde-apps/kblocks-19.08.3 amd64 arm64 x86 kde-apps/kblog-19.08.3 amd64 arm64 x86 kde-apps/kbounce-19.08.3 amd64 arm64 x86 kde-apps/kbreakout-19.08.3 amd64 arm64 x86 kde-apps/kbruch-19.08.3 amd64 arm64 x86 kde-apps/kcachegrind-19.08.3 amd64 arm64 x86 kde-apps/kcalc-19.08.3 amd64 arm64 x86 kde-apps/kcalutils-19.08.3 amd64 arm64 x86 kde-apps/kcharselect-19.08.3 amd64 arm64 x86 kde-apps/kcolorchooser-19.08.3 amd64 arm64 x86 kde-apps/kcron-19.08.3 amd64 arm64 x86 kde-apps/kdav-19.08.3 amd64 arm64 x86 kde-apps/kdeaccessibility-meta-19.08.3 amd64 arm64 x86 kde-apps/kdeadmin-meta-19.08.3 amd64 arm64 x86 kde-apps/kde-apps-meta-19.08.3 amd64 arm64 x86 kde-apps/kdebase-meta-19.08.3 amd64 arm64 x86 kde-apps/kdebugsettings-19.08.3 amd64 arm64 x86 kde-apps/kdecore-meta-19.08.3 amd64 arm64 x86 kde-apps/kde-dev-scripts-19.08.3 amd64 arm64 x86 kde-apps/kde-dev-utils-19.08.3 amd64 arm64 x86 kde-apps/kdeedu-data-19.08.3 amd64 arm64 x86 kde-apps/kdeedu-meta-19.08.3 amd64 arm64 x86 kde-apps/kdegames-meta-19.08.3 amd64 arm64 x86 kde-apps/kdegraphics-meta-19.08.3 amd64 arm64 x86 kde-apps/kdegraphics-mobipocket-19.08.3 amd64 arm64 x86 kde-apps/kde-meta-19.08.3 amd64 arm64 x86 kde-apps/kdemultimedia-meta-19.08.3 amd64 arm64 x86 kde-apps/kdenetwork-filesharing-19.08.3 amd64 arm64 x86 kde-apps/kdenetwork-meta-19.08.3 amd64 arm64 x86 kde-apps/kdenlive-19.08.3 amd64 arm64 x86 kde-apps/kdepim-addons-19.08.3 amd64 arm64 x86 kde-apps/kdepim-apps-libs-19.08.3 amd64 arm64 x86 kde-apps/kdepim-meta-19.08.3 amd64 arm64 x86 kde-apps/kdepim-runtime-19.08.3 amd64 arm64 x86 kde-apps/kdesdk-kioslaves-19.08.3 amd64 arm64 x86 kde-apps/kdesdk-meta-19.08.3 amd64 arm64 x86 kde-apps/kdesdk-thumbnailers-19.08.3 amd64 arm64 x86 kde-apps/kdeutils-meta-19.08.3 amd64 arm64 x86 kde-apps/kdf-19.08.3 amd64 arm64 x86 kde-apps/kdialog-19.08.3 amd64 arm64 x86 kde-apps/kdiamond-19.08.3 amd64 arm64 x86 kde-apps/keditbookmarks-19.08.3 amd64 arm64 x86 kde-apps/kfind-19.08.3 amd64 arm64 x86 kde-apps/kfloppy-19.08.3 amd64 arm64 x86 kde-apps/kfourinline-19.08.3 amd64 arm64 x86 kde-apps/kgeography-19.08.3 amd64 arm64 x86 kde-apps/kget-19.08.3 amd64 arm64 x86 kde-apps/kgoldrunner-19.08.3 amd64 arm64 x86 kde-apps/kgpg-19.08.3 amd64 arm64 x86 kde-apps/khangman-19.08.3 amd64 arm64 x86 kde-apps/khelpcenter-19.08.3 amd64 arm64 x86 kde-apps/kidentitymanagement-19.08.3 amd64 arm64 x86 kde-apps/kig-19.08.3 amd64 arm64 x86 kde-apps/kigo-19.08.3 amd64 arm64 x86 kde-apps/killbots-19.08.3 amd64 arm64 x86 kde-apps/kimagemapeditor-19.08.3 amd64 arm64 x86 kde-apps/kimap-19.08.3 amd64 arm64 x86 kde-apps/kio-extras-19.08.3 amd64 arm64 x86 kde-apps/kipi-plugins-19.08.3 amd64 arm64 x86 kde-apps/kiriki-19.08.3 amd64 arm64 x86 kde-apps/kiten-19.08.3 amd64 arm64 x86 kde-apps/kitinerary-19.08.3 amd64 arm64 x86 kde-apps/kjumpingcube-19.08.3 amd64 arm64 x86 kde-apps/kldap-19.08.3 amd64 arm64 x86 kde-apps/kleopatra-19.08.3 amd64 arm64 x86 kde-apps/klettres-19.08.3 amd64 arm64 x86 kde-apps/klickety-19.08.3 amd64 arm64 x86 kde-apps/klines-19.08.3 amd64 arm64 x86 kde-apps/kmag-19.08.3 amd64 arm64 x86 kde-apps/kmahjongg-19.08.3 amd64 arm64 x86 kde-apps/kmail-19.08.3 amd64 arm64 x86 kde-apps/kmail-account-wizard-19.08.3 amd64 arm64 x86 kde-apps/kmailtransport-19.08.3 amd64 arm64 x86 kde-apps/kmbox-19.08.3 amd64 arm64 x86 kde-apps/kmime-19.08.3 amd64 arm64 x86 kde-apps/kmines-19.08.3 amd64 arm64 x86 kde-apps/kmix-19.08.3 amd64 arm64 x86 kde-apps/kmousetool-19.08.3 amd64 arm64 x86 kde-apps/kmouth-19.08.3 amd64 arm64 x86 kde-apps/kmplot-19.08.3 amd64 arm64 x86 kde-apps/knavalbattle-19.08.3 amd64 arm64 x86 kde-apps/knetwalk-19.08.3 amd64 arm64 x86 kde-apps/knights-19.08.3 amd64 arm64 x86 kde-apps/knotes-19.08.3 amd64 arm64 x86 kde-apps/kolf-19.08.3 amd64 arm64 x86 kde-apps/kollision-19.08.3 amd64 arm64 x86 kde-apps/kolourpaint-19.08.3 amd64 arm64 x86 kde-apps/kompare-19.08.3 amd64 arm64 x86 kde-apps/konqueror-19.08.3 amd64 arm64 x86 kde-apps/konquest-19.08.3 amd64 arm64 x86 kde-apps/konsole-19.08.3 amd64 arm64 x86 kde-apps/konsolekalendar-19.08.3 amd64 arm64 x86 kde-apps/kontact-19.08.3 amd64 arm64 x86 kde-apps/kontactinterface-19.08.3 amd64 arm64 x86 kde-apps/kopete-19.08.3-r1 amd64 arm64 x86 kde-apps/korganizer-19.08.3 amd64 arm64 x86 kde-apps/kpat-19.08.3 amd64 arm64 x86 kde-apps/kpimtextedit-19.08.3 amd64 arm64 x86 kde-apps/kpkpass-19.08.3 amd64 arm64 x86 kde-apps/kqtquickcharts-19.08.3 amd64 arm64 x86 kde-apps/krdc-19.08.3 amd64 arm64 x86 kde-apps/kreversi-19.08.3 amd64 arm64 x86 kde-apps/krfb-19.08.3 amd64 arm64 x86 kde-apps/kross-interpreters-19.08.3 amd64 arm64 x86 kde-apps/kruler-19.08.3 amd64 arm64 x86 kde-apps/kshisen-19.08.3 amd64 arm64 x86 kde-apps/ksirk-19.08.3 amd64 arm64 x86 kde-apps/ksmtp-19.08.3 amd64 arm64 x86 kde-apps/ksnakeduel-19.08.3 amd64 arm64 x86 kde-apps/kspaceduel-19.08.3 amd64 arm64 x86 kde-apps/ksquares-19.08.3 amd64 arm64 x86 kde-apps/ksudoku-19.08.3 amd64 arm64 x86 kde-apps/ksystemlog-19.08.3 amd64 arm64 x86 kde-apps/kteatime-19.08.3 amd64 arm64 x86 kde-apps/ktimer-19.08.3 amd64 arm64 x86 kde-apps/ktouch-19.08.3 amd64 arm64 x86 kde-apps/ktp-accounts-kcm-19.08.3 amd64 arm64 x86 kde-apps/ktp-approver-19.08.3 amd64 arm64 x86 kde-apps/ktp-auth-handler-19.08.3 amd64 arm64 x86 kde-apps/ktp-call-ui-19.08.3 amd64 arm64 x86 kde-apps/ktp-common-internals-19.08.3 amd64 arm64 x86 kde-apps/ktp-contact-list-19.08.3 amd64 arm64 x86 kde-apps/ktp-contact-runner-19.08.3 amd64 arm64 x86 kde-apps/ktp-desktop-applets-19.08.3 amd64 arm64 x86 kde-apps/ktp-filetransfer-handler-19.08.3 amd64 arm64 x86 kde-apps/ktp-kded-module-19.08.3 amd64 arm64 x86 kde-apps/ktp-send-file-19.08.3 amd64 arm64 x86 kde-apps/ktp-text-ui-19.08.3 amd64 arm64 x86 kde-apps/ktuberling-19.08.3 amd64 arm64 x86 kde-apps/kturtle-19.08.3 amd64 arm64 x86 kde-apps/kubrick-19.08.3 amd64 arm64 x86 kde-apps/kwalletmanager-19.08.3 amd64 arm64 x86 kde-apps/kwave-19.08.3 amd64 arm64 x86 kde-apps/kwordquiz-19.08.3 amd64 arm64 x86 kde-apps/kwrite-19.08.3 amd64 arm64 x86 kde-apps/libgravatar-19.08.3 amd64 arm64 x86 kde-apps/libkcddb-19.08.3 amd64 arm64 x86 kde-apps/libkcompactdisc-19.08.3 amd64 arm64 x86 kde-apps/libkdcraw-19.08.3 amd64 arm64 x86 kde-apps/libkdegames-19.08.3 amd64 arm64 x86 kde-apps/libkdepim-19.08.3 amd64 arm64 x86 kde-apps/libkeduvocdocument-19.08.3 amd64 arm64 x86 kde-apps/libkexiv2-19.08.3 amd64 arm64 x86 kde-apps/libkgapi-19.08.3 amd64 arm64 x86 kde-apps/libkgeomap-19.08.3 amd64 arm64 x86 kde-apps/libkipi-19.08.3 amd64 arm64 x86 kde-apps/libkleo-19.08.3 amd64 arm64 x86 kde-apps/libkmahjongg-19.08.3 amd64 arm64 x86 kde-apps/libkomparediff2-19.08.3 amd64 arm64 x86 kde-apps/libksane-19.08.3 amd64 arm64 x86 kde-apps/libksieve-19.08.3 amd64 arm64 x86 kde-apps/libktnef-19.08.3 amd64 arm64 x86 kde-apps/lokalize-19.08.3 amd64 arm64 x86 kde-apps/lskat-19.08.3 amd64 arm64 x86 kde-apps/mailcommon-19.08.3 amd64 arm64 x86 kde-apps/mailimporter-19.08.3 amd64 arm64 x86 kde-apps/marble-19.08.3-r1 amd64 arm64 x86 kde-apps/mbox-importer-19.08.3 amd64 arm64 x86 kde-apps/messagelib-19.08.3 amd64 arm64 x86 kde-apps/minuet-19.08.3 amd64 arm64 x86 kde-apps/okular-19.08.3 amd64 arm64 x86 kde-apps/palapeli-19.08.3 amd64 arm64 x86 kde-apps/parley-19.08.3 amd64 arm64 x86 kde-apps/picmi-19.08.3 amd64 arm64 x86 kde-apps/pimcommon-19.08.3 amd64 arm64 x86 kde-apps/pim-data-exporter-19.08.3 amd64 arm64 x86 kde-apps/pim-sieve-editor-19.08.3 amd64 arm64 x86 kde-apps/plasma-telepathy-meta-19.08.3 amd64 arm64 x86 kde-apps/poxml-19.08.3 amd64 arm64 x86 kde-apps/print-manager-19.08.3 amd64 arm64 x86 kde-apps/rocs-19.08.3 amd64 arm64 x86 kde-apps/signon-kwallet-extension-19.08.3 amd64 arm64 x86 kde-apps/spectacle-19.08.3 amd64 arm64 x86 kde-apps/step-19.08.3 amd64 arm64 x86 kde-apps/svgpart-19.08.3 amd64 arm64 x86 kde-apps/sweeper-19.08.3 amd64 arm64 x86 kde-apps/thumbnailers-19.08.3 amd64 arm64 x86 kde-apps/umbrello-19.08.3 amd64 arm64 x86 kde-apps/yakuake-19.08.3 amd64 arm64 x86 kde-apps/zeroconf-ioslave-19.08.3 amd64 arm64 x86 app-office/calligraplan-3.2.1 amd64 x86 dev-games/freecell-solver-5.14.0 amd64 arm64 x86 dev-python/pysol_cards-0.8.6 amd64 arm64 x86 dev-python/translate-toolkit-2.3.1 amd64 arm64 x86 dev-python/pycountry-19.8.18 arm64 ppc x86 kde-misc/kio-gdrive-1.2.7 amd64 x86 media-gfx/digikam-6.3.0-r1 amd64 x86 media-libs/phonon-4.11.1-r1 amd64 arm64 x86 media-libs/phonon-gstreamer-4.10.0 amd64 arm64 x86 media-libs/phonon-vlc-0.11.1 amd64 arm64 x86 media-libs/zxing-cpp-1.0.7 amd64 arm64 x86 net-libs/telepathy-qt-0.9.8 amd64 arm64 x86 app-office/kmymoney-5.0.7 amd64 x86 net-libs/aqbanking-5.99.44_beta amd64 x86 sys-libs/gwenhywfar-4.99.25_rc9 amd64 x86 sys-libs/libchipcard-5.1.4_rc1 amd64 x86
Runtime testing required: ---
stable-bot: sanity-check+


Attachments
logs for test failures (kde-frameworks-test-error-traces.tar.gz,109.29 KB, application/octet-stream)
2019-11-15 19:35 UTC, Frank Krömmelbein
no flags Details
Traces test failure kdenlive (kdenlive-19.08.3.tar.gz,57.97 KB, application/octet-stream)
2019-11-21 08:41 UTC, Frank Krömmelbein
no flags Details
List kdeapps (kdeapps19083,6.72 KB, text/plain)
2019-11-21 08:42 UTC, Frank Krömmelbein
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2019-11-13 19:19:57 UTC
We know where we are heading, might as well file the bug already. In preparation.
Comment 1 Andreas Sturmlechner gentoo-dev 2019-11-13 21:26:07 UTC
Adding some dependencies we need to/should stabilise at the same time.
Comment 2 Andreas Sturmlechner gentoo-dev 2019-11-13 21:38:37 UTC
Frank, adding you early this time, there is no hurry (planned schedule is 2019-12-05).
Comment 3 Frank Krömmelbein 2019-11-15 19:33:30 UTC
I already finished the first part:

1) krfb[wayland] depends on masked useflag [screencast] from sys-apps/xdg-desktop-portal
krfb-19.08.3.ebuild:
wayland? ( sys-apps/xdg-desktop-portal[screencast] ) 

From package.use.stable.mask
kde-plasma/xdg-desktop-portal-kde screencast
sys-apps/xdg-desktop-portal screencast
x11-wm/mutter screencast 


2) sys-libs/libchipcard-5.1.4_rc1 in the list, but this is not needed anymore because the chipcard useflag was dropped in aqbanking-5.99.44_beta.


3) Please add =media-libs/zxing-cpp-1.0.6 to the list, is needed by
kde-apps/kitinerary-19.08.3 (barcode ? media-libs/zxing-cpp)


4a) Test failures, reproducible on 2 systems:
FEATURES=' test' failed for =kde-frameworks/kunitconversion-5.64.0
Already known:
https://bugs.gentoo.org/694804
FEATURES=' test' failed for =kde-frameworks/kwidgetsaddons-5.64.0
Already known:
https://bugs.gentoo.org/697866

4b) For the sake of completeness test failure, NOT reproducible on my main machine 
FEATURES=' test' failed for =kde-frameworks/kpackage-5.64.0


I have ignored anything related with use= -bzip2, -lzma, +libressl, +libav, and -X for Frameworks 5.64.0.
Comment 4 Frank Krömmelbein 2019-11-15 19:35:31 UTC
Created attachment 596284 [details]
logs for test failures

Log for test failures added.
I used this list for KF 5.64.0

=kde-frameworks/attica-5.64.0
=kde-frameworks/baloo-5.64.0
=kde-frameworks/bluez-qt-5.64.0
=kde-frameworks/breeze-icons-5.64.0
=kde-frameworks/breeze-icons-rcc-5.64.0
=kde-frameworks/extra-cmake-modules-5.64.0
=kde-frameworks/frameworkintegration-5.64.0
=kde-frameworks/kactivities-5.64.0
=kde-frameworks/kactivities-stats-5.64.0
=kde-frameworks/karchive-5.64.0
=kde-frameworks/kauth-5.64.0
=kde-frameworks/kbookmarks-5.64.0
=kde-frameworks/kcalendarcore-5.64.0
=kde-frameworks/kcmutils-5.64.0
=kde-frameworks/kcodecs-5.64.0
=kde-frameworks/kcompletion-5.64.0
=kde-frameworks/kconfig-5.64.0
=kde-frameworks/kconfigwidgets-5.64.0
=kde-frameworks/kcontacts-5.64.0
=kde-frameworks/kcoreaddons-5.64.0
=kde-frameworks/kcrash-5.64.0
=kde-frameworks/kdbusaddons-5.64.0
=kde-frameworks/kdeclarative-5.64.0
=kde-frameworks/kded-5.64.0
=kde-frameworks/kdelibs4support-5.64.0
=kde-frameworks/kdesignerplugin-5.64.0
=kde-frameworks/kdesu-5.64.0
=kde-frameworks/kdewebkit-5.64.0
=kde-frameworks/kdnssd-5.64.0
=kde-frameworks/kdoctools-5.64.0
=kde-frameworks/kemoticons-5.64.0
=kde-frameworks/kfilemetadata-5.64.0
=kde-frameworks/kglobalaccel-5.64.0
=kde-frameworks/kguiaddons-5.64.0
=kde-frameworks/kholidays-5.64.0
=kde-frameworks/khtml-5.64.0
=kde-frameworks/ki18n-5.64.0
=kde-frameworks/kiconthemes-5.64.0
=kde-frameworks/kidletime-5.64.0
=kde-frameworks/kimageformats-5.64.0
=kde-frameworks/kinit-5.64.0
=kde-frameworks/kio-5.64.0
=kde-frameworks/kirigami-5.64.0
=kde-frameworks/kitemmodels-5.64.0
=kde-frameworks/kitemviews-5.64.0
=kde-frameworks/kjobwidgets-5.64.0
=kde-frameworks/kjs-5.64.0
=kde-frameworks/kjsembed-5.64.0
=kde-frameworks/knewstuff-5.64.0
=kde-frameworks/knotifications-5.64.0
=kde-frameworks/knotifyconfig-5.64.0
=kde-frameworks/kpackage-5.64.0
=kde-frameworks/kparts-5.64.0
=kde-frameworks/kpeople-5.64.0
=kde-frameworks/kplotting-5.64.0
=kde-frameworks/kpty-5.64.0
=kde-frameworks/kross-5.64.0
=kde-frameworks/krunner-5.64.0
=kde-frameworks/kservice-5.64.0
=kde-frameworks/ktexteditor-5.64.0
=kde-frameworks/ktextwidgets-5.64.0
=kde-frameworks/kunitconversion-5.64.0
=kde-frameworks/kwallet-5.64.0
=kde-frameworks/kwayland-5.64.0
=kde-frameworks/kwidgetsaddons-5.64.0
=kde-frameworks/kwindowsystem-5.64.0
=kde-frameworks/kxmlgui-5.64.0
=kde-frameworks/kxmlrpcclient-5.64.0
=kde-frameworks/modemmanager-qt-5.64.0
=kde-frameworks/networkmanager-qt-5.64.0
=kde-frameworks/oxygen-icons-5.64.0
=kde-frameworks/plasma-5.64.0
=kde-frameworks/prison-5.64.0
=kde-frameworks/purpose-5.64.0
=kde-frameworks/qqc2-desktop-style-5.64.0
=kde-frameworks/solid-5.64.0-r1
=kde-frameworks/sonnet-5.64.0
=kde-frameworks/syndication-5.64.0
=kde-frameworks/syntax-highlighting-5.64.0
=kde-frameworks/threadweaver-5.64.0
Comment 5 Frank Krömmelbein 2019-11-21 08:40:13 UTC
5) Only Test failure for kdeapps, reproducible on 2 systems:
FEATURES=' test' failed for =kde-apps/kdenlive-19.08.3


6) kopete run into already known issue with net-libs/libgadu
https://bugs.gentoo.org/677502
net-libs/libgadu-1.12.2[ssl,-gnutls] : /.../ld: ../.../libgadu.so: undefined reference to SSLv3_client_method


7) Newly added dev-python/translate-toolkit-2.3.1 depends on
>=dev-python/pycountry-18.5.26[${PYTHON_USEDEP}]



The rest will follow this evening ...
Comment 6 Frank Krömmelbein 2019-11-21 08:41:34 UTC
Created attachment 597038 [details]
Traces test failure kdenlive
Comment 7 Frank Krömmelbein 2019-11-21 08:42:18 UTC
Created attachment 597040 [details]
List kdeapps
Comment 8 Frank Krömmelbein 2019-11-24 19:50:12 UTC
One more point to completeness, I had a problem with the installation of sci-libs/lapack-3.8.0 required by cantor with useflag +R. Portage had complained about many file collisions (>10) and stopped install. It looks like these are orphaned files which were not removed during a previous update of sci-libs/gsl.
After emerge -C gsl and deleting the remaining orphaned files, everything worked as expected.

No other issues occured.
I ignored some useflags +libav, +libressl, -pdf, +systemd, -xml and -xmp
Comment 9 Andreas Sturmlechner gentoo-dev 2019-12-02 15:39:40 UTC
Arches please stabilise.
Comment 10 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-12-02 15:45:53 UTC
on it
Comment 11 Andreas Sturmlechner gentoo-dev 2019-12-02 16:06:58 UTC
Adding other maintainers for completeness.

Frank, as always, many thanks for testing.
Comment 12 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-12-02 16:10:39 UTC
amd64 stable
Comment 13 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-12-02 16:14:13 UTC
on x86 now
Comment 14 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-12-02 16:30:51 UTC
x86 stable
Comment 15 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2019-12-02 23:29:11 UTC
arm64 stable
Comment 16 Agostino Sarubbo gentoo-dev 2019-12-10 09:19:54 UTC
ppc stable. Closing.
Comment 17 Andreas Thalhammer 2019-12-22 22:23:53 UTC
kde-frameworks/kio-5.64.0-r1:5 which was pulled in by "emerge -aDuvN --with-bdeps=y --keep-going @world" today, breaks Konqueror from showing http and https web pages on the internet. Local html pages (files) still work, as does ftp. See also https://forums.gentoo.org/viewtopic-t-1105720.html.

Reverting to kde-frameworks/kio-5.64.0:5 fixed the issue, hence kde-frameworks/kio-5.64.0-r1:5 seems to be faulty in some way.
Comment 18 Andreas Sturmlechner gentoo-dev 2019-12-22 22:28:19 UTC
Thanks, please create a new bug next time as this is unrelated.